<template>
	<app-layout>
		<app-rich-text
		    :content="detail"
		></app-rich-text>
	</app-layout>
</template>

<script>
	import {mapGetters, mapState} from "vuex";
	import appRichText from "@/components/basic-component/app-rich/parse";
	export default {
		name: "spDetail",
		 components: {
			 appRichText
		 },
		data() {
			return {
				detail:""
			};
		},
		onLoad(options) {
			let that=this;
			this.$request({
			    url:this.$api.goods.sp_detail,
				data: {}
			}).then(response => {
			    this.$hideLoading();
			    if (response.code === 0) {
			       that.detail=response.data.detail.detail;
			    } else {
			        uni.showToast({
			            title: response.msg,
			            icon: 'none'
			        });
			    }
			}).catch(() => {
			    this.$hideLoading();
			});
		}
	}
</script>

<style lang="scss">

</style>
